Bug 449927 - Review Request: imsettings - Delivery framework for general Input Method configuration
Review Request: imsettings - Delivery framework for general Input Method conf...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 06:00 EDT by Akira TAGOH
Modified: 2008-06-16 06:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 06:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-06-04 06:00:11 EDT
Spec URL: http://tagoh.fedorapeople.org/imsettings/imsettings.spec
SRPM URL: http://tagoh.fedorapeople.org/imsettings/imsettings-0.100.0-1.fc9.src.rpm
Description:
IMSettings is a framework that delivers Input Method
settings and applies the changes immediately. so it will
takes an effect without restarting applications and the
desktop.
Comment 1 Akira TAGOH 2008-06-04 06:02:43 EDT
imsettings is a separate project from im-chooser now. so those packages would
replaces the existing imsettings* packages. that should be no problem for the
upgrading path. FYI.
Comment 2 Jens Petersen 2008-06-10 03:04:00 EDT
Thanks for the submission.

Basically looks ok to me but a few things I noticed:

- should BR gamin-devel I think

- rpmlint output:

imsettings.x86_64: W: non-conffile-in-etc /etc/X11/xinit/xinput.d/none.conf
imsettings.x86_64: W: non-conffile-in-etc /etc/X11/xinit/xinput.d/xim.conf
imsettings-devel.x86_64: W: no-dependency-on imsettings

- I think some requires are needed for running alternatives in %post and %postun

- should it be "imsettings-reload -f" in %postun?
Comment 3 Jens Petersen 2008-06-10 03:08:22 EDT
How about writing the common text for the Description as:

"""
IMSettings is a framework that delivers Input Method settings
and applies the changes so they take effect immediately
without any need to restart applications or the desktop.
"""
Comment 4 Akira TAGOH 2008-06-10 06:12:52 EDT
(In reply to comment #2)
> - should BR gamin-devel I think

Doh. actually imsettings doesn't use gamin directly. I have to get rid of the
dependency check from configure.

> imsettings.x86_64: W: non-conffile-in-etc /etc/X11/xinit/xinput.d/none.conf
> imsettings.x86_64: W: non-conffile-in-etc /etc/X11/xinit/xinput.d/xim.conf

I'm aware of those. but I don't think it's the kind of the conffile.

> imsettings-devel.x86_64: W: no-dependency-on imsettings

Because the necessary library files are in imsettings-libs. I think that could
be ignored.

> - I think some requires are needed for running alternatives in %post and %postun

Ok. missed that. will update.

> - should it be "imsettings-reload -f" in %postun?

Initially it was there. but I thought it may be failed when package is removed?
Comment 5 Jens Petersen 2008-06-10 23:21:23 EDT
> I'm aware of those. but I don't think it's the kind of the conffile.

Yes, I agree it can be waived.

> Because the necessary library files are in imsettings-libs. I think that could
> be ignored.

Yep

> > - should it be "imsettings-reload -f" in %postun?
> 
> Initially it was there. but I thought it may be failed when package is removed?

I mean in the version you posted %postun has:

	imsettings -f > /dev/null 2>&1 || :

but I guess you mean imsetting-reload?
Comment 7 Jens Petersen 2008-06-12 04:22:01 EDT
Taking this review.

Here is my review:

 +:ok, ?:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
See above.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
364c8e176bd26008c9c12f8978ed4379  imsettings-0.101.0.tar.bz2
[+] MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly.
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
[=] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.

Just wondering if the xfce subpackage should explicitly require libxfce4mcs for
%{_libdir}/xfce4/mcs-plugins/, but I don't think it is a blocker given that it
is already implicitly required.

[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section
[+] MUST: Each package must consistently use macros
[+] MUST: The package must contain code, or permissable content.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Header files must be in a -devel package.

[-] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).

[+] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
See above.
[+] MUST: Packages must NOT contain any .la libtool archives
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[?] SHOULD: The reviewer should test that the package functions as described.

I haven't been time to rebuild im-chooser yet to test this package.

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
Comment 9 Akira TAGOH 2008-06-12 10:35:01 EDT
For testing packages:

http://tagoh.fedorapeople.org/imsettings/tests/i386/
Comment 10 Jens Petersen 2008-06-12 22:34:37 EDT
Thanks.  I tried the test packages and it seems to be work well.

Package is APPROVED for inclusion in fedora.
Comment 11 Akira TAGOH 2008-06-13 06:49:27 EDT
New Package CVS Request
=======================
Package Name: imsettings
Short Description: Delivery framework for general Input Method configuration
Owners: tagoh
Branches: devel F-9
InitialCC:
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-06-13 12:38:58 EDT
cvs done.
Comment 13 Akira TAGOH 2008-06-16 06:06:05 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.